## r-bioc-scaledmatrix 1.2.0+dfsg

=== DESCRIPTION ===
Package: ScaledMatrix
Version: 1.2.0
Date: 2021-01-13
Title: Creating a DelayedMatrix of Scaled and Centered Values
Authors@R: person("Aaron", "Lun", role=c("aut", "cre", "cph"),
        email="infinite.monkeys.with.keyboards@gmail.com")
Imports: methods, Matrix, S4Vectors, DelayedArray
Suggests: testthat, BiocStyle, knitr, rmarkdown, BiocSingular
biocViews: Software, DataRepresentation
Description: 
    Provides delayed computation of a matrix of scaled and centered values.
    The result is equivalent to using the scale() function but avoids explicit 
    realization of a dense matrix during block processing. This permits greater
    efficiency in common operations, most notably matrix multiplication.
License: GPL-3
VignetteBuilder: knitr
RoxygenNote: 7.1.1
BugReports: https://github.com/LTLA/ScaledMatrix/issues
URL: https://github.com/LTLA/ScaledMatrix
git_url: https://git.bioconductor.org/packages/ScaledMatrix
git_branch: RELEASE_3_14
git_last_commit: d0573e1
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: no
Packaged: 2021-10-26 22:42:10 UTC; biocbuild
Author: Aaron Lun [aut, cre, cph]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scaledmatrix (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 07:35:34 +0100

r-bioc-scaledmatrix (1.0.0+dfsg-2) unstable; urgency=medium

  * Team upload.
    + Source-only Upload for testing migration

 -- Nilesh Patra <nilesh@debian.org>  Sun, 12 Sep 2021 01:08:55 +0530

r-bioc-scaledmatrix (1.0.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #993771)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 12:26:42 +0200

=== debian/control ===
Source: r-bioc-scaledmatrix
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-bioc-s4vectors,
               r-bioc-delayedarray
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scaledmatrix
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scaledmatrix.git
Homepage: https://bioconductor.org/packages/ScaledMatrix/
Rules-Requires-Root: no

Package: r-bioc-scaledmatrix
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: creating a DelayedMatrix of scaled and centered values using GNU R
 Provides delayed computation of a matrix of scaled and centered values.
 The result is equivalent to using the scale() function but avoids explicit
 realization of a dense matrix during block processing. This permits greater
 efficiency in common operations, most notably matrix multiplication.

## r-bioc-scaledmatrix 1.4.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ScaledMatrix
-Version: 1.2.0
+Version: 1.4.0
 Date: 2021-01-13
 Title: Creating a DelayedMatrix of Scaled and Centered Values
 Authors@R: person("Aaron", "Lun", role=c("aut", "cre", "cph"),
@@ -18,11 +18,11 @@
 BugReports: https://github.com/LTLA/ScaledMatrix/issues
 URL: https://github.com/LTLA/ScaledMatrix
 git_url: https://git.bioconductor.org/packages/ScaledMatrix
-git_branch: RELEASE_3_14
-git_last_commit: d0573e1
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 32e6e91
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 22:42:10 UTC; biocbuild
+Packaged: 2022-04-26 21:58:57 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scaledmatrix (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 May 2022 23:50:53 +0200

## r-bioc-scaledmatrix 1.6.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ScaledMatrix
-Version: 1.4.0
-Date: 2021-01-13
+Version: 1.6.0
+Date: 2022-09-08
 Title: Creating a DelayedMatrix of Scaled and Centered Values
 Authors@R: person("Aaron", "Lun", role=c("aut", "cre", "cph"),
         email="infinite.monkeys.with.keyboards@gmail.com")
@@ -18,11 +18,11 @@
 BugReports: https://github.com/LTLA/ScaledMatrix/issues
 URL: https://github.com/LTLA/ScaledMatrix
 git_url: https://git.bioconductor.org/packages/ScaledMatrix
-git_branch: RELEASE_3_15
-git_last_commit: 32e6e91
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 45a29d3
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 21:58:57 UTC; biocbuild
+Packaged: 2022-11-01 22:52:44 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scaledmatrix (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 07:31:33 +0100

r-bioc-scaledmatrix (1.4.1+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.4.1+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Sun, 18 Sep 2022 09:16:59 +0530

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-bioc-scaledmatrix
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scaledmatrix
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scaledmatrix.git
+Homepage: https://bioconductor.org/packages/ScaledMatrix/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrix,
                r-bioc-s4vectors,
                r-bioc-delayedarray
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scaledmatrix
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scaledmatrix.git
-Homepage: https://bioconductor.org/packages/ScaledMatrix/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-scaledmatrix
 Architecture: all

## r-bioc-scaledmatrix 1.8.1+dfsg

=== DESCRIPTION ===
Package: ScaledMatrix
Version: 1.8.1
Date: 2023-05-03
Title: Creating a DelayedMatrix of Scaled and Centered Values
Authors@R: person("Aaron", "Lun", role=c("aut", "cre", "cph"),
        email="infinite.monkeys.with.keyboards@gmail.com")
Imports: methods, Matrix, S4Vectors, DelayedArray
Suggests: testthat, BiocStyle, knitr, rmarkdown, BiocSingular,
        DelayedMatrixStats
biocViews: Software, DataRepresentation
Description: 
    Provides delayed computation of a matrix of scaled and centered values.
    The result is equivalent to using the scale() function but avoids explicit 
    realization of a dense matrix during block processing. This permits greater
    efficiency in common operations, most notably matrix multiplication.
License: GPL-3
VignetteBuilder: knitr
RoxygenNote: 7.1.1
BugReports: https://github.com/LTLA/ScaledMatrix/issues
URL: https://github.com/LTLA/ScaledMatrix
git_url: https://git.bioconductor.org/packages/ScaledMatrix
git_branch: RELEASE_3_17
git_last_commit: 31ae72e
git_last_commit_date: 2023-05-03
Date/Publication: 2023-05-03
NeedsCompilation: no
Packaged: 2023-05-03 22:15:57 UTC; biocbuild
Author: Aaron Lun [aut, cre, cph]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scaledmatrix (1.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jul 2023 18:20:22 +0200

## r-bioc-scaledmatrix 1.10.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ScaledMatrix
-Version: 1.8.1
+Version: 1.10.0
 Date: 2023-05-03
 Title: Creating a DelayedMatrix of Scaled and Centered Values
 Authors@R: person("Aaron", "Lun", role=c("aut", "cre", "cph"),
@@ -19,11 +19,11 @@
 BugReports: https://github.com/LTLA/ScaledMatrix/issues
 URL: https://github.com/LTLA/ScaledMatrix
 git_url: https://git.bioconductor.org/packages/ScaledMatrix
-git_branch: RELEASE_3_17
-git_last_commit: 31ae72e
-git_last_commit_date: 2023-05-03
-Date/Publication: 2023-05-03
+git_branch: RELEASE_3_18
+git_last_commit: 90e51ba
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-05-03 22:15:57 UTC; biocbuild
+Packaged: 2023-10-24 22:54:15 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scaledmatrix (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 12:59:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scaledmatrix
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scaledmatrix.git
 Homepage: https://bioconductor.org/packages/ScaledMatrix/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-scaledmatrix 1.12.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ScaledMatrix
-Version: 1.10.0
-Date: 2023-05-03
+Version: 1.12.0
+Date: 2024-02-29
 Title: Creating a DelayedMatrix of Scaled and Centered Values
 Authors@R: person("Aaron", "Lun", role=c("aut", "cre", "cph"),
         email="infinite.monkeys.with.keyboards@gmail.com")
@@ -15,15 +15,16 @@
     efficiency in common operations, most notably matrix multiplication.
 License: GPL-3
 VignetteBuilder: knitr
-RoxygenNote: 7.1.1
+RoxygenNote: 7.3.1
 BugReports: https://github.com/LTLA/ScaledMatrix/issues
 URL: https://github.com/LTLA/ScaledMatrix
 git_url: https://git.bioconductor.org/packages/ScaledMatrix
-git_branch: RELEASE_3_18
-git_last_commit: 90e51ba
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 7361ce9
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 22:54:15 UTC; biocbuild
+Packaged: 2024-05-01 05:50:16 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scaledmatrix (1.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 21:12:30 +0200

r-bioc-scaledmatrix (1.12.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 16:24:30 +0200

r-bioc-scaledmatrix (1.12.0+dfsg-1~0exp) experimental; urgency=low

  * Team Upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 10:40:30 +0200

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,21 @@
                dh-r,
                r-base-dev,
                r-cran-matrix,
-               r-bioc-s4vectors,
-               r-bioc-delayedarray
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-delayedarray (>= 0.30.1)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-scaledmatrix
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-delayedarray (>= 0.30.1)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-biocsingular (>= 1.20.0), 
+          r-bioc-delayedmatrixstats (>= 1.26.0)
 Description: creating a DelayedMatrix of scaled and centered values using GNU R
  Provides delayed computation of a matrix of scaled and centered values.
  The result is equivalent to using the scale() function but avoids explicit

## r-bioc-scaledmatrix 1.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ScaledMatrix
-Version: 1.12.0
+Version: 1.14.0
 Date: 2024-02-29
 Title: Creating a DelayedMatrix of Scaled and Centered Values
 Authors@R: person("Aaron", "Lun", role=c("aut", "cre", "cph"),
@@ -19,12 +19,12 @@
 BugReports: https://github.com/LTLA/ScaledMatrix/issues
 URL: https://github.com/LTLA/ScaledMatrix
 git_url: https://git.bioconductor.org/packages/ScaledMatrix
-git_branch: RELEASE_3_19
-git_last_commit: 7361ce9
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 3fdccbc
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 05:50:16 UTC; biocbuild
+Packaged: 2024-10-30 02:38:57 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scaledmatrix (1.14.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 21:50:38 +0100

r-bioc-scaledmatrix (1.14.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 17:38:46 +0100

=== debian/control ===
Source: r-bioc-scaledmatrix
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scaledmatrix
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scaledmatrix.git
Homepage: https://bioconductor.org/packages/ScaledMatrix/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-bioc-s4vectors,
               r-bioc-delayedarray
Testsuite: autopkgtest-pkg-r

Package: r-bioc-scaledmatrix
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: creating a DelayedMatrix of scaled and centered values using GNU R
 Provides delayed computation of a matrix of scaled and centered values.
 The result is equivalent to using the scale() function but avoids explicit
 realization of a dense matrix during block processing. This permits greater
 efficiency in common operations, most notably matrix multiplication.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/ScaledMatrix.html .*/ScaledMatrix_(.*).tar.gz
